Package org.springframework.mock.web

# Class MockRequestDispatcher

java.lang.Object
org.springframework.mock.web.MockRequestDispatcher

All Implemented Interfaces:
  `RequestDispatcher`

public class MockRequestDispatcher extends Object implements RequestDispatcher
Mock implementation of the `RequestDispatcher` interface.

Since:
  1.0.2
Author:
  Rod Johnson, Juergen Hoeller, Sam Brannen
See Also:
  - `MockHttpServletRequest.getRequestDispatcher(String)`

## Field Summary

### Fields inherited from interface jakarta.servlet.RequestDispatcher

`ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_MAPPING, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_MAPPING, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

## Constructor Summary

Constructors
Constructor
Description
`MockRequestDispatcher(String resource)`
Create a new MockRequestDispatcher for the given resource.

## Method Summary

Modifier and Type
Method
Description
`void`
`forward(ServletRequest request, ServletResponse response)`
`protected MockHttpServletResponse`
`getMockHttpServletResponse(ServletResponse response)`
Obtain the underlying `MockHttpServletResponse`, unwrapping `HttpServletResponseWrapper` decorators if necessary.
`void`
`include(ServletRequest request, ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockRequestDispatcher

public MockRequestDispatcher(String resource)
Create a new MockRequestDispatcher for the given resource.

Parameters:
  `resource` - the server resource to dispatch to, located at a particular path or given by a particular name

## Method Details

### forward

public void forward(ServletRequest request, ServletResponse response)

Specified by:
  `forward` in interface `RequestDispatcher`

### include

public void include(ServletRequest request, ServletResponse response)

Specified by:
  `include` in interface `RequestDispatcher`

### getMockHttpServletResponse

protected MockHttpServletResponse getMockHttpServletResponse(ServletResponse response)
Obtain the underlying `MockHttpServletResponse`, unwrapping `HttpServletResponseWrapper` decorators if necessary.